Retrieve agent configurations.

Retrieve a list of the agent configurations.

'readExternalAgents', 'manageExternalAgents' are permitted to view all configurations whereas 'runExternalAgent' is only permitted to view a single configuration associated with the access token.

Entitlements:
- manageExternalAgents (Manage external Agent configurations)
- readExternalAgents (Read external Agent configurations)
- runExternalAgent (Perform functions of an external agent)

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests

LoadingLoading

Query Params
string

Controls the results that are returned in a page.

You can use the following query parameters:

count - Optional. Use to define the total number of results that are returned from the data store. The maximum allowed value is 1000. If excluded will be set to limit.

page - Use to identify the requested page, or the offset.

limit - Use to define the total number of results that are returned per page. The maximum allowed value is 1000.

A maximum of 200 results are returned if no pagination query parameters are passed.

Note: The pagination parameter value must be HTML encoded. Use the prefix "pagination=" in the query parameter.

Example: Paginate on count=10&page=1&limit=5
pagination=count%3D10%26page%3D1%26limit%3D5

string

Returns results based on the search criteria.

Valid operators for Strings are = , != and contains. Use double quotation marks for the search values.
Valid operators for Booleans are = and !=
Valid operators for Numbers are >=, >, <=, <, = and !=

Note: The search parameter value must be HTML encoded. Use the prefix "search=" in the query parameter.

Example: Search on id contains "fd45"&enabled=true
search=id%20contains%20%22fd45%22%26enabled%3Dtrue

string

Displays results based on the filter criteria.

Filter values to be inclusive or exclusive only. It cannot be combined.

Use a comma (,) to separate multiple filter parameters.

Note: The filter parameter value must be HTML encoded. Use the prefix "filter=" in the query parameter.

Examples
Filter to return only id : filter=id
Filter to exclude id and enabled : filter=%21id,enabled

Responses

Language
URL
LoadingLoading

Response
Choose an example:
application/json